﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace AircraftCarrier
{
    [Serializable]
    internal class WarshipNotFoundException : ApplicationException
    {
        public WarshipNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public WarshipNotFoundException() : base() { }
        public WarshipNotFoundException(string message) : base(message) { }
        public WarshipNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected WarshipNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
